## ros-dashing-geographic-msgs 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(geographic_msgs)

find_package(ament_cmake REQUIRED)
find_package(unique_identifier_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/BoundingBox.msg"
  "msg/GeographicMapChanges.msg"
  "msg/GeographicMap.msg"
  "msg/GeoPath.msg"
  "msg/GeoPoint.msg"
  "msg/GeoPointStamped.msg"
  "msg/GeoPose.msg"
  "msg/GeoPoseStamped.msg"
  "msg/KeyValue.msg"
  "msg/MapFeature.msg"
  "msg/RouteNetwork.msg"
  "msg/RoutePath.msg"
  "msg/RouteSegment.msg"
  "msg/WayPoint.msg"
  "srv/GetGeographicMap.srv"
  "srv/GetGeoPath.srv"
  "srv/GetRoutePlan.srv"
  "srv/UpdateGeographicMap.srv"
  DEPENDENCIES unique_identifier_msgs geometry_msgs std_msgs builtin_interfaces
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-dashing-geographic-msgs (1.0.1-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 20 Sep 2019 23:43:14 -0000

ros-dashing-geographic-msgs (0.5.3-1bionic) bionic; urgency=high

  * Add additional information to ``GetGeoPath`` service response.

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 27 Mar 2018 07:00:00 -0000

ros-dashing-geographic-msgs (0.5.2-1bionic) bionic; urgency=high

  * Fix merge error in GeoPath message.

 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 15 Apr 2017 07:00:00 -0000

ros-dashing-geographic-msgs (0.5.1-1bionic) bionic; urgency=high

  * Add GeoPath message with poses.
  * Add GetGeoPath service (#7 <https://github.com/ros-geographic-info/geographic_info/issues/7>).

 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 15 Apr 2017 07:00:00 -0000

ros-dashing-geographic-msgs (0.5.0-1bionic) bionic; urgency=high

  * Add new ``GeoPointStamped`` and ``GeoPoseStamped`` messages.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 07 Apr 2017 07:00:00 -0000

ros-dashing-geographic-msgs (0.4.0-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 18 Sep 2014 07:00:00 -0000

ros-dashing-geographic-msgs (0.3.2-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 30 Aug 2014 07:00:00 -0000

ros-dashing-geographic-msgs (0.3.1-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 03 Oct 2013 07:00:00 -0000

ros-dashing-geographic-msgs (0.3.0-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 03 Aug 2013 07:00:00 -0000

ros-dashing-geographic-msgs (0.2.1-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 13 Aug 2012 07:00:00 -0000

ros-dashing-geographic-msgs (0.2.0-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 02 Jun 2012 07:00:00 -0000

ros-dashing-geographic-msgs (0.1.0-1bionic) bionic; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 10 Apr 2012 07:00:00 -0000

=== debian/control ===
Source: ros-dashing-geographic-msgs
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-geometry-msgs, ros-dashing-rosidl-default-generators, ros-dashing-std-msgs, ros-dashing-unique-identifier-msgs, ros-dashing-ros-workspace, ros-dashing-rmw-connext-cpp, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rmw-implementation, ros-dashing-rmw-opensplice-cpp, ros-dashing-rosidl-typesupport-connext-c, ros-dashing-rosidl-typesupport-connext-cpp, ros-dashing-rosidl-typesupport-opensplice-c, ros-dashing-rosidl-typesupport-opensplice-cpp
Homepage: http://wiki.ros.org/geographic_msgs
Standards-Version: 3.9.2

Package: ros-dashing-geographic-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-geometry-msgs, ros-dashing-rosidl-default-runtime, ros-dashing-std-msgs, ros-dashing-unique-identifier-msgs, ros-dashing-ros-workspace
Description: ROS messages for Geographic Information Systems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-geographic-msgs//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
